%{?nodejs_find_provides_and_requires}

# tests need n/w access
%global enable_tests 0
%global packagename http-server

Name:          nodejs-http-server
Version:       0.10.0
Release:       2%{?dist}
Summary:       Simple, zero-configuration command-line http server

License:       MIT
URL:           https://github.com/indexzero/http-server
Source0:       https://github.com/indexzero/http-server/archive/%{version}.tar.gz

BuildArch:     noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(colors)
BuildRequires:  npm(corser)
BuildRequires:  npm(http-proxy)
BuildRequires:  npm(opener)
BuildRequires:  npm(optimist)
BuildRequires:  npm(ecstatic)
BuildRequires:  npm(portfinder)
BuildRequires:  npm(union)

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
BuildRequires:  npm(request)
%endif

Requires: nodejs

%description
http-server is a simple, zero-configuration command-line http server. It is
powerful enough for production usage, but it's simple and hackable enough
to be used for testing, local development, and learning.

%prep
%autosetup -n %{packagename}-%{version}
%nodejs_fixdep colors

sed -i '1s/env //' bin/http-server

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin lib public screenshots \
 %{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{packagename}/bin/%{packagename} %{buildroot}%{_bindir}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
vows --spec --isolate
%endif


%files
%doc README.md
%license LICENSE
%{_bindir}/%{packagename}
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jun 02 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.10.0-2
- Add missing bin directory

* Fri Jun 02 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.10.0-1
- Update to 0.10.0 version

* Wed May 31 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.9.0-2
- Fix shebang and description line

* Mon Apr 17 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.9.0-1
- Initial packaging
